*--------------- smod results analysis -----------------------------------
$ontext
The various files for the analysis of results can be called here or by using
programme analyse.gms to carry out the same actions using results stored
in GDX

EACH COMPONENT IS INDEPENDENT, i.e., each component only makes use of the
results saved into the standard GDX results file that is produced by the
simulations module. This includes the levels values for the model varibales,
all the initial values of variables, all the model parameter values, all the
model and simulation sets
$offtext

*------- 1. Write out Levels results -----------------------------------
$ontext
This $INCLUDE file exports the levels results to GDX as 'smod_reslevel.gdx'

The results parameters for the level values of the variables are set in
'smod_resassign.inc'

'smod_reslevel.gdx' is the default name for the results file
    its name can be changed in the $INCLUDE file
$offtext

If(flow_cont("reslevel") = 1,

$INCLUDE stg1_reslevel.inc

  ) ;

* ------- 2. Define Base for Comparative Results -------------------------
$ontext
This $INCLUDE file initialises the parameters used as the basis for
comparative results.

ALL variables used in the model have a matching parameter ***1, where
*** is the variable name.
These parameters are either initialised with
EITHER
  1) the base values for the parameter, ***0,
     flow_cont("resbase") = 1, uses the base values for variables
OR
  2) with the levels values for the parameter derived from a specified
     experiment. This requires that a member of the set sim1 is named "base"
     AND a member of the set clos is named "clbase".
     flow_cont("resbase") = 2, uses variable values from "base" and "clbase"
$offtext

$INCLUDE stg1_resbase.inc

*----------- 3. Macroeconomic Results ------------------------------------
$ontext
This $INCLUDE file generates and exports various summary macroeconomic
totals, shares and proportionate changes to GDX as 'smod_resmacro.gdx'

'smod_resmacro.gdx' is the default name for the results file
its name can be changed in the $INCLUDE file
$offtext

*---- 3a. Define Macroeconomic Tables

* This section defines the Macroeconomic tables that are reported

PARAMETER

*Macroeconomic tables - indexed on stab1
 nMACROTOT(stab1,clos,sim)     Nominal Macro totals
 nMACROSH1(stab1,clos,sim)     Nominal Macro shares in GDP Expenditure
 nMACROSH2(stab1,clos,sim)     Nominal Macro shares in Domestic Absorption

 rMACROTOT(stab1,clos,sim)     Real Macro totals

*Macroeconomic totals - percentage change
 rperMACROTOT(stab1,clos,sim)  Percentage changes in Real Macro totals
 nperMACROTOT(stab1,clos,sim)  Percentage changes in Nominal Macro totals

  ;

*---- 3b. Assign and Export Macroeconomic Tables

If(flow_cont("resmacro") = 1,

$INCLUDE stg1_resmacro.inc

  ) ;


* ------------ 4. Structural Results -------------------------------------



* ----------- 5. Welfare Results Analysis --------------------------------
$ontext
This $INCLUDE file generates and exports various summary welfare
measures to GDX as 'smod_reswelf.gdx'

       'smod_reswelf.gdx' is the default name for the results file
             its name can be changed in the $INCLUDE file
$offtext

*---- 5a. Define Welfare Tables

Parameter

 resYH_cap(h,clos,sim1)    Income per capita to household h
 resHEXP_cap(h,clos,sim1)  H'hold consumption expend per capita

 resEV(h,clos,sim)         EV by household on consumption
 resEV_cap(h,clos,sim)     EV per capita by household on consumption

 resIC(h,clos,sim)         LES Indirect compensation by h'hold on consumption
 resIC_cap(h,clos,sim)     LES IC per capita by h'hold on consumption

 resEV_alt(h,clos,sim)     LES Alternative EV by h'hold on consumption
 resEV_alt_cap(h,clos,sim) LES Alt EV per capita by h'hold on consumption

 pop(h)                    Population by household and region


 resEV_H_slut(h,clos,sim)  Slutsky approx EV by household on consumption
 resEV_R_slut(clos,sim)    Slutsky approx EV by region on consumption

   ;

*---- 5b. Assign and Export Welfare Results

If(flow_cont("reswelf") = 1,

$INCLUDE stg1_reswelf.inc

  ) ;

* ------- X. Value Added Results -----------------------------------------



* ------- Y. Percentage Changes in Variables -----------------------------
$ontext
The file respercent.gms calculates the percentages changes in model variables
and sends the results to a GDX file res_percent.gdx
The same result parameter names are used as for the levels results

The $INCLUDE component implements the calculations and sets all non zero
elements to EPS. The results are exported to GDX as res_percent.gdx
The GDXXRW component requires that the input (GDX) (i) and the
output (XLS) (o) files are set
The default input file, res_percent.gdx, is created by the $INCLUDE component
where its name can be changed
The output file does not have a default
$offtext

If(flow_cont("resperc") = 1,

$INCLUDE stg1_resperc.inc

  ) ;

*--------------- end of smod results analysis ----------------------------
