*----------- stg1 display and exports data sets parameters etc -----------

$ontext
   Control over the displaying and exporting of All data, sets, parameters,
 initial values for variables etc., is achieved here.

   Display statements etc for parameters used to check the model calibration
 are in the stg1*_parmcalib file. Display statements etc for checks
 on variable initialisation are in the stg1*_varinit file.

   Control over display and export commands is from flow_cont("**"); these
 are set in the Excel worksheet 'controls'.

   In ALL cases the rule is
     IF value = 1 then implemented; IF value = 0 NOT implemented

      disp1      - Model SETS and DATA are displayed
      disp2      - model parameters are displayed
      disp3      - initial values for variables are displayed
      outGDXmodS - Model SAM unloaded to 'stg1_samg.gdx'
      outGDXparm - Model parameters unloaded to 'stg1_parm0.gdx'
      outGDXvar0 - initial values for variables unloaded to 'stg1_var0.gdx'
      outGDXvarL - level values for variables unloaded to 'stg1_varL.gdx'
      outGDXdata - Model SETS and DATA unloaded to 'stg1_data.gdx'
$offtext
* -------------- 1. Display Statements -----------------------------------

 OPTION decimals = 6 ;

* Display all data and sets

* ------ 1a. Data and Set Display Statements

IF(flow_cont("disp1") = 1,

Display
* DATA
    SAM, FACTUSE,
* Elastciities
    ELASTC, ELASTX, ELASTY, ELASTMU,
* Control
    mod_cont, flow_cont,
* Sets
    sac,
    c, cagr, cnat, cfd, cind, cuti, ccon, cser, cagg,
    m,
    a, aagr, anat, afd, aind, auti, acon, aser, aagg, anch, anchN, aleon,
    f, l, ls, lm, lu, k, n,
    h, g, gt, tff, e, i, w,
* other sets
    sacn, ss, ssn,
    ce, cen, cm, cmn, cx, cxn, cxac, cxacn, cd, cdn,
* sets for flow control
    mcons, fcons,
* mapping sets
    map_f_tff, map_tff_f,  map_aagg_a, map_cagg_c

   ;

     )   ;

* ------ 1b. Model Parameter Display Statements

IF(flow_cont("disp2") = 1,

DISPLAY
* ######## TRADE BLOCK
* ## Parameters for CET functions
         at, gamma, rhot,
* ## Parameters for Export Demand functions
         econ, pwse, eta,
* #### Imports Block
* ## Parameters for Armington/CES functions
         ac, delta, rhoc,
* ######## NUMERAIRE PRICE BLOCK
         comtotsh, vddtotsh,
* ######## PRODUCTION BLOCK
* CES aggregation functions for Level 1 of production nest
         adxb, predeltax, deltax, rhocx, dabadx, adx01,
* Leontief aggregation functions for Level 1 of production nest
         use, comactco, ioqintqx, ioqvaqx,
* CES aggregation functions for Level 2 of production nest
         advab, deltava, rhocva, dabadva, adva01,
* Intermediate Input Demand
         ioqtdqd,
* Commodity Output
         adxc, deltaxc, rhocxc,
* Activity Output
         ioqxacqx,
* ######## FACTOR BLOCK
* ## Savings Expenditures
         deprec,
* ## Transfer Expenditures
         hovash, entvash, govvash, worvash,
* ######## HOUSEHOLD BLOCK
* ## Transfer Expenditures
         hohosh, hohoconst,
* ## Consumption Expenditures
* # Cobb Douglas Utility function
         comhoav, alphah,
* # Stone-Geary Utility function
         sumelast, yhelast, beta, hexps, frisch, qcdconst,
* ######## ENTERPRISE BLOCK
* ## Transfer Expenditures
         hoentconst, hoentsh, goventsh
* ## Consumption Expenditures
         qedconst,
* ######## GOVERNMENT BLOCK
* #### Government Taxes Block
* ## base tax rates
         teb, tmb, tsb, texb, tyfb, txb, tyhb, tyeb,
* ## absolute changes in base tax rates
         dabte, dabtm, dabts, dabtex, dabtx, dabtyf, dabtyh, dabtye,
* ## partial changes in tax rates
         te01, tm01, ts01, tex01, tx01, tyf01, tyh01, tye01,
* #### Government Income and Expenditure Block
* ## Transfer Expenditures
         hogovconst, entgovconst,
* ## Consumption Expenditures
         comgovconst,
* ######## KAPITAL BLOCK
* ## base savings rates
         shh0, shhb, sen0, senb,
* ## absolute changes in base savings rates
         dabshh, dabsen,
* ## partial changes in savings rates
        shh01, sen01,
* ## Consumption Expenditures
        invconst, dstocconst,
* ######## FOREIGN INSTITUTIONS BLOCK
* ## Transfer Expenditures
         factwor, howor, entwor, govwor
   ;

  )  ;

* ------ 1c. Initial Values for Variables Display Statements

IF(flow_cont("disp3") = 1,

 DISPLAY
* ######## NORMALISED PRICE BLOCK
         PD0, PE0, PM0, PX0, PXC0, PXAC0, PQS0, ER0,
* ######## TRADE BLOCK
* #### Exports Block
         PWE0, QE0, QD0,
* #### Imports Block
         PWM0, QM0, QQ0,
* ######## COMMODITY PRICE BLOCK
         PQD0,
* ######## NUMERAIRE PRICE BLOCK
         CPI0, PPI0,
* ######## PRODUCTION BLOCK
         QX0, QXC0, PVA0, PINT0, QINT0, QVA0, QXAC0, QINTD0,
         WF0, WFDIST0, FD0, FS0,
* CES aggregation functions for Level 1 of production nest
         ADX0, ADXADJ0, DADX0,
* CES aggregation functions for Level 2 of production nest
         ADVA0, ADVAADJ0, DADVA0
* ######## FACTOR BLOCK
         YF0, YFDISP0,
* ######## HOUSEHOLD BLOCK
         YH0, YH_cap0, HOHO0, HEXP0, HEXP_cap0, QCD0,
* ######## ENTERPRISE BLOCK
         QEDADJ0, HEADJ0,
         YE0, HOENT0, GOVENTSH0, GOVENT0, QED0, VED0,
* ######## GOVERNMENT BLOCK
* #### Government Taxes Block
         TEADJ0, TMADJ0, TSADJ0, TEXADJ0, TXADJ0, TYFADJ0,
         TYHADJ0, TYADJ0, TYEADJ0,
* ## Initial values for partial scaling variables
         DTE0, DTM0, DTS0, DTEX0, DTX0, DTYF0, DTYH0, DTY0, DTYE0,
* ## Initial tax revenues
         MTAX0, ETAX0, DTAX0, FYTAX0, ITAX0, STAX0, EXTAX0,
* ## Initial tax rates
         TE0, TM0, TS0, TEX0, TX0, TYF0, TYH0, TYE0,
* #### Government Income and Expenditure Block
         QGDADJ0, EGADJ0, HGADJ0,
         YG0, QGD0, EG0, VGD0,
* ######## KAPITAL BLOCK
* ## Initial values for scaling variables
         SADJ0, SHADJ0, SEADJ0, IADJ0, DSHH0, DS0, DSEN0,
* ## Initial values for variables
         INVEST0, QINVD0, TOTSAV0,
* ######## FOREIGN INSTITUTIONS BLOCK
         YFWOR0,
* ######## MARKET CLEARING BLOCK
* # Account Closure
         KAPGOV0, CAPWOR0,
* # Absorption Closure
         VFDOMD0, INVESTSH0, VGDSH0, VEDSH0,
* ##### GDP
         GDPVA0,
* # Slack
         WALRAS0
    ;

   )  ;

* -------------- 2. GDX Export Statements ------------------------

* ------ 2a. Base Data Export Statements

IF(flow_cont("outGDXmodS") = 1,

Execute_unload 'stg1_samg.gdx', SAM ;

   ) ;

* ------ 2b. ALL Model Data Export Statements

IF(flow_cont("outGDXparm") = 1,

Execute_Unload  'stg1_parm0.gdx',

* Values of the parameters in the model calibration

* ######## TRADE BLOCK
* ## Parameters for CET functions
         at gamma rhot
* ## Parameters for Export Demand functions
         econ pwse eta
* #### Imports Block
* ## Parameters for Armington/CES functions
         ac delta rhoc
* ######## NUMERAIRE PRICE BLOCK
         comtotsh vddtotsh
* ######## PRODUCTION BLOCK
* CES aggregation functions for Level 1 of production nest
         adxb predeltax deltax rhocx dabadx adx01
* Leontief aggregation functions for Level 1 of production nest
         use comactco ioqintqx ioqvaqx
* CES aggregation functions for Level 2 of production nest
         advab deltava rhocva dabadva adva01
* Intermediate Input Demand
         ioqtdqd
* Commodity Output
         adxc deltaxc rhocxc
* Activity Output
         ioqxacqx
* ######## FACTOR BLOCK
* ## Savings Expenditures
         deprec
* ## Transfer Expenditures
         hovash entvash govvash worvash
* ######## HOUSEHOLD BLOCK
* ## Transfer Expenditures
         hohosh hohoconst
* ## Consumption Expenditures
* # Cobb Douglas Utility function
         comhoav alphah
* # Stone-Geary Utility function
         sumelast yhelast beta hexps frisch qcdconst
* ######## ENTERPRISE BLOCK
* ## Transfer Expenditures
         hoentconst hoentsh goventsh
* ## Consumption Expenditures
         qedconst
* ######## GOVERNMENT BLOCK
* #### Government Taxes Block
* ## base tax rates
         teb tmb tsb texb tyfb txb tyhb tyeb
* ## absolute changes in base tax rates
         dabte dabtm dabts dabtex dabtx dabtyf dabtyh dabtye
* ## partial changes in tax rates
         te01 tm01 ts01 tex01 tx01 tyf01 tyh01 tye01
* #### Government Income and Expenditure Block
* ## Transfer Expenditures
         hogovconst entgovconst
* ## Consumption Expenditures
         comgovconst
* ######## KAPITAL BLOCK
* ## base savings rates
         shh0 shhb sen0 senb
* ## absolute changes in base savings rates
         dabshh dabsen
* ## partial changes in savings rates
        shh01 sen01
* ## Consumption Expenditures
        invconst dstocconst
* ######## FOREIGN INSTITUTIONS BLOCK
* ## Transfer Expenditures
         factwor howor entwor govwor
   ;

   ) ;

IF(flow_cont("outGDXvar0") = 1,

Execute_Unload  'stg1_var0.gdx',

* Base values of the variables in the model

*----- Model Parameters

* ######## NORMALISED PRICE BLOCK
         PD0 PE0 PM0 PX0 PXC0 PXAC0 PQS0 ER0
* ######## TRADE BLOCK
* #### Exports Block
         PWE0 QE0 QD0
* #### Imports Block
         PWM0 QM0 QQ0
* ######## COMMODITY PRICE BLOCK
         PQD0
* ######## NUMERAIRE PRICE BLOCK
         CPI0 PPI0
* ######## PRODUCTION BLOCK
         QX0 QXC0 PVA0 PINT0 QINT0 QVA0 QXAC0 QINTD0
         WF0 WFDIST0 FD0 FS0
* CES aggregation functions for Level 1 of production nest
         ADX0 ADXADJ0 DADX0
* CES aggregation functions for Level 2 of production nest
         ADVA0 ADVAADJ0 DADVA0
* ######## FACTOR BLOCK
         YF0 YFDISP0
* ######## HOUSEHOLD BLOCK
         YH0 YH_cap0 HOHO0 HEXP0 HEXP_cap0 QCD0
* ######## ENTERPRISE BLOCK
         QEDADJ0 HEADJ0
         YE0 HOENT0 GOVENTSH0 GOVENT0 QED0 VED0
* ######## GOVERNMENT BLOCK
* #### Government Taxes Block
         TEADJ0 TMADJ0 TSADJ0 TEXADJ0 TXADJ0 TYFADJ0
         TYHADJ0 TYADJ0 TYEADJ0
* ## Initial values for partial scaling variables
         DTE0 DTM0 DTS0 DTEX0 DTX0 DTYF0 DTYH0 DTY0 DTYE0
* ## Initial tax revenues
         MTAX0 ETAX0 DTAX0 FYTAX0 ITAX0 STAX0 EXTAX0
* ## Initial tax rates
         TE0 TM0 TS0 TEX0 TX0 TYF0 TYH0 TYE0
* #### Government Income and Expenditure Block
         QGDADJ0 EGADJ0 HGADJ0
         YG0 QGD0 EG0 VGD0
* ######## KAPITAL BLOCK
* ## Initial values for scaling variables
         SADJ0 SHADJ0 SEADJ0 IADJ0 DSHH0 DS0 DSEN0
* ## Initial values for variables
         INVEST0 QINVD0 TOTSAV0
* ######## FOREIGN INSTITUTIONS BLOCK
         YFWOR0
* ######## MARKET CLEARING BLOCK
* # Account Closure
         KAPGOV0 CAPWOR0
* # Absorption Closure
         VFDOMD0 INVESTSH0 VGDSH0 VEDSH0
* ##### GDP
         GDPVA0
* # Slack
         WALRAS0
    ;

  )  ;

IF(flow_cont("outGDXvarL") = 1,

Execute_Unload  'stg1_varL.gdx',

* The initialised values of the model variables

* ######## NORMALISED PRICE BLOCK
      PD.L PM.L PE.L PQS.L PXC.L PXAC.L PX.L ER.L
* ######## TRADE BLOCK
* #### Exports Block
      PWE.L QD.L QE.L
* #### Imports Block
      PWM.L QQ.L QM.L
* ######## COMMODITY PRICE BLOCK
      PQD.L
* ######## NUMERAIRE PRICE BLOCK
      CPI.L PPI.L
* ######## PRODUCTION BLOCK
* CES aggregation functions for Level 1 of production nest
      PVA.L PINT.L QX.L ADXADJ.L DADX.L ADX.L
* Leontief aggregation functions for Level 1 of production nest
      QINT.L QVA.L
* CES aggregation functions for Level 2 of production nest
      FD.L FS.L WF.L WFDIST.L ADVAADJ.L DADVA.L ADVA.L
* Intermediate Input Demand
      QINTD.L
* Commodity Output
      QXC.L
* Activity Output
      QXAC.L
* ######## FACTOR BLOCK
      YF.L YFDISP.L
* ######## HOUSEHOLD BLOCK
* ## Household Income
      YH.L
* ## Household Expenditure
      HOHO.L HEXP.L QCD.L
* ######## ENTERPRISE BLOCK
* ## Enterprise Income
      YE.L
* ## Enterprise Expenditure
      QEDADJ.L QED.L HOENT.L GOVENT.L VED.L
* ######## GOVERNMENT BLOCK
* #### Government Income Block
* ## Government Taxes
      TEADJ.L TMADJ.L TSADJ.L TEXADJ.L TXADJ.L TYFADJ.L
      TYHADJ.L TYADJ.L TYEADJ.L
      DTE.L DTM.L DTS.L DTEX.L DTX.L DTYF.L
      DTYH.L DTY.L DTYE.L
      TM.L TE.L TS.L TEX.L TX.L TYF.L TYH.L TYE.L
      MTAX.L ETAX.L STAX.L EXTAX.L ITAX.L FYTAX.L DTAX.L
* ## Government Income
      YG.L
* #### Government Expenditure Block
      QGDADJ.L HGADJ.L HEADJ.L EGADJ.L QGD.L VGD.L EG.L
* ######## KAPITAL BLOCK
* ## Savings Block
      SHH.L SEN.L
      SADJ.L SHADJ.L SEADJ.L DSHH.L DS.L DSEN.L
      TOTSAV.L
* ## Investment Block
      IADJ.L INVEST.L QINVD.L
* ######## FOREIGN INSTITUTIONS BLOCK
      YFWOR.L
* ######## MARKET CLEARING BLOCK
* ##### Account Closure
      KAPGOV.L CAPWOR.L
* #### Absorption Closure
      VFDOMD.L INVESTSH.L VGDSH.L VEDSH.L
* ##### Slack
      WALRAS.L
    ;

  )  ;

IF(flow_cont("outGDXdata") = 1,

Execute_Unload  'stg1_data.gdx',

* Values of the data and sets for the model

* DATA
    SAM FACTUSE
* Elastciities
    ELASTC ELASTX ELASTY ELASTMU
* Control
    mod_cont flow_cont
* Sets
    sac
    c cagr cnat cfd cind cuti ccon cser cagg
    m
    a aagr anat afd aind auti acon aser aagg anch anchN aleon
    f l ls lm lu k n
    h g gt tff e i w
* other sets
    sacn ss ssn
    ce cen cm cmn cx cxn cxac cxacn cd cdn
* sets for flow control
    mcons fcons
* mapping sets
    map_f_tff map_tff_f  map_aagg_a map_cagg_c

     ;

  )  ;


 OPTION decimals = 3 ;

*-------- end of stg1 display and exports data sets parameters etc -------
