* -------------- stg1 resbase file ---------------------------------------
$ontext
This file initialises the parameters used as the basis for comparative
results.

ALL variables used in the model have a matching parameter ***1, where
*** is the variable name.
These parameters are either initialised with
EITHER
  1) the base values for the parameter, ***0,
     flow_cont("resbase") = 1, uses the base values for variables
OR
  2) with the levels values for the parameter derived from a specified
     experiment. This requires that a member of the set sim1 is named "base"
     AND a member of the set clos is named "clbase".
     flow_cont("resbase") = 2, uses variable values from "base" and "clbase"
$offtext

* ----- Declaring Parameters

Parameter
* Comparator parameters
 ADFD1(f,a)    Shift parameter for factor and activity specific efficiency
 ADVA1(a)      Shift parameter for CES production functions for QVA
 ADVAADJ1      Scaling Factor for Shift parameter on CES functions for QVA
 ADX1(a)       Shift parameter for CES production functions for QX
 ADXADJ1       Scaling Factor for Shift parameter on CES functions for QX
 CAPWOR1       Current account balance
 CPI1          Consumer price index
 DADVA1        Partial scaling factor for Shift parameter on CES functions for QVA
 DADX1         Partial scaling factor for Shift parameter on CES functions for QX
 DS1           Partial household and enterprise savings rate scaling factor
 DSEN1         Partial enterprise savings rate scaling factor
 DSHH1         Partial household savings rate scaling factor
 DTAX1         Direct Income tax revenue
 DTE1          Partial Export tax rate scaling factor
 DTEX1         Partial Excise tax rate scaling factor
 DTF1          Uniform adjustment to factor use tax by activity
 DTM1          Partial Tariff rate scaling factor
 DTS1          Partial Sales tax rate scaling factor
 DTX1          Partial Indirect tax rate scaling factor
 DTY1          Partial direct tax on h'hold and enterprise rate scaling factor
 DTYE1         Partial direct tax on enterprise rate scaling factor
 DTYF1         Partial direct tax on factor rate scaling factor
 DTYH1         Partial direct tax on household rate scaling factor
 EG1           Expenditure by government
 EGADJ1        Transfers to enterprises by government Scaling Factor
 ER1           Exchange rate                         1(domestic per world unit)
 ETAX1         Export tax revenue
 EXTAX1        Excise tax revenue
 FD1(f,a)      Demand for factor f by activity a
 FS1(f)        Supply of factor f
 FTAX1         Factor use tax revenue
 FYTAX1        Factor Income tax revenue
 GDPVA1        GDP from Value Added
 GOVENT1(e)    Government income from enterprise e
 HEADJ1        Scaling factor for enterprise transfers to households
 HEXP1(h)      Household consumption expenditure
 HGADJ1        Scaling factor for government transfers to households
 HOENT1(h,e)   Household Income from enterprise e
 HOHO1(h,hp)   Inter household transfer
 IADJ1         Investment scaling factor
 INVEST1       Total investment expenditure
 INVESTSH1     Value share of investment in total final domestic demand
 ITAX1         Indirect tax revenue
 KAPGOV1       Government Savings
 MTAX1         Tariff revenue
 PD1(c)        Consumer price for domestic supply of commodity c
 PE1(c)        Domestic price of exports by activity a
 PINT1(a)      Price of aggregate intermediate input
 PM1(c)        Domestic price of competitive imports of commodity c
 PPI1          Producer 1(domestic) price index
 PQD1(c)       Purchaser price of composite commodity c
 PQS1(c)       Supply price of composite commodity c
 PVA1(a)       Value added price for activity a
 PWE1(c)       World price of exports in dollars
 PWM1(c)       World price of imports in dollars
 PX1(a)        Composite price of output by activity a
 PXAC1(a,c)    Activity commodity prices
 PXC1(c)       Producer price of composite domestic output
 QCD1(c,h)     Household consumption by commodity c
 QD1(c)        Domestic demand for commodity c
 QE1(c)        Domestic output exported by commodity c
 QED1(c,e)     Enterprise consumption by commodity c
 QEDADJ1       Enterprise demand volume Scaling Factor
 QGD1(c)       Government consumption demand by commodity c
 QGDADJ1       Government consumption demand scaling factor
 QINT1(a)      Aggregate quantity of intermediates used by activity a
 QINTD1(c)     Demand for intermediate inputs by commodity
 QINVD1(c)     Investment demand by commodity c
 QM1(c)        Imports of commodity c
 QQ1(c)        Supply of composite commodity c
 QVA1(a)       Quantity of aggregate value added for level 1 production
 QX1(a)        Domestic production by activity a
 QXAC1(a,c)    Domestic commodity output by each activity
 QXC1(c)       Domestic production by commodity c
 SADJ1         Savings rate scaling factor for BOTH households and enterprises
 SEADJ1        Savings rate scaling factor for enterprises
 SEN1(e)       Enterprise savings rates
 SHADJ1        Savings rate scaling factor for households
 SHH1(h)       Household savings rates
 STAX1         Sales tax revenue
 TE1(c)        Export taxes on exported comm'y c
 TEADJ1        Export subsidy Scaling Factor
 TEX1(c)       Excise tax rate
 TEXADJ1       Excise tax rate scaling factor
 TF1(f,a)      Tax rate on factor use
 TFADJ1        Factor Use Tax Scaling Factor
 TM1(c)        Tariff rates on imported comm'y c
 TMADJ1        Tarrif rate Scaling Factor
 TOTSAV1       Total savings
 TS1(c)        Sales tax rate
 TSADJ1        Sales tax rate scaling factor
 TX1(a)        Indirect tax rate
 TXADJ1        Indirect Tax Scaling Factor
 TYADJ1        Household and Enterprise Income Tax Scaling Factor
 TYE1(e)       Direct tax rate on enterprises
 TYEADJ1       Enterprise income tax Scaling Factor
 TYF1(f)       Direct tax rate on factor income
 TYFADJ1       Factor Tax Scaling Factor
 TYH1(h)       Direct tax rate on households
 TYHADJ1       Household Income Tax Scaling Factor
 VED1(e)       Value of enterprise e consumption expenditure
 VEDSH1(e)     Value share of Ent consumption in total final domestic demand
 VFDOMD1       Value of final domestic demand
 VGD1          Value of Government consumption expenditure
 VGDSH1        Value share of Govt consumption in total final domestic demand
 WALRAS1       Slack variable for Walras's Law
 WF1(f)        Price of factor f
 WFDIST1(f,a)  Sectoral proportion for factor prices
 YE1(e)        Enterprise incomes
 YF1(f)        Income to factor f
 YFDISP1(f)    Factor income for distribution after depreciation
 YFWOR1(f)     Foreign factor income
 YG1           Government income
 YH1(h)        Income to household h

   ;

* ----- Assigning parameters for comparative results

IF(flow_cont("resbase") = 1,

 ADFD1(f,a)           = ADFD0(f,a) ;
 ADVA1(a)             = ADVA0(a) ;
 ADVAADJ1             = ADVAADJ0 ;
 ADX1(a)              = ADX0(a) ;
 ADXADJ1              = ADXADJ0 ;
 CAPWOR1              = CAPWOR0 ;
 CPI1                 = CPI0 ;
 DADVA1               = DADVA0 ;
 DADX1                = DADX0 ;
 DS1                  = DS0 ;
 DSEN1                = DSEN0 ;
 DSHH1                = DSHH0 ;
 DTAX1                = DTAX0 ;
 DTE1                 = DTE0 ;
 DTEX1                = DTEX0 ;
 DTF1                 = DTF0 ;
 DTM1                 = DTM0 ;
 DTS1                 = DTS0 ;
 DTX1                 = DTX0 ;
 DTY1                 = DTY0 ;
 DTYE1                = DTYE0 ;
 DTYF1                = DTYF0 ;
 DTYH1                = DTYH0 ;
 EG1                  = EG0 ;
 EGADJ1               = EGADJ0 ;
 ER1                  = ER0 ;
 ETAX1                = ETAX0 ;
 EXTAX1               = EXTAX0 ;
 FD1(f,a)             = FD0(f,a) ;
 FS1(f)               = FS0(f) ;
 FTAX1                = FTAX0 ;
 FYTAX1               = FYTAX0 ;
 GDPVA1               = GDPVA0 ;
 GOVENT1(e)           = GOVENT0(e) ;
 HEADJ1               = HEADJ0 ;
 HEXP1(h)             = HEXP0(h) ;
 HGADJ1               = HGADJ0 ;
 HOENT1(h,e)          = HOENT0(h,e) ;
 HOHO1(h,hp)          = HOHO0(h,hp) ;
 IADJ1                = IADJ0 ;
 INVEST1              = INVEST0 ;
 INVESTSH1            = INVESTSH0 ;
 ITAX1                = ITAX0 ;
 KAPGOV1              = KAPGOV0 ;
 MTAX1                = MTAX0 ;
 PD1(c)               = PD0(c) ;
 PE1(c)               = PE0(c) ;
 PINT1(a)             = PINT0(a) ;
 PM1(c)               = PM0(c) ;
 PPI1                 = PPI0 ;
 PQD1(c)              = PQD0(c) ;
 PQS1(c)              = PQS0(c) ;
 PVA1(a)              = PVA0(a) ;
 PWE1(c)              = PWE0(c) ;
 PWM1(c)              = PWM0(c) ;
 PX1(a)               = PX0(a) ;
 PXAC1(a,c)           = PXAC0(a,c) ;
 PXC1(c)              = PXC0(c) ;
 QCD1(c,h)            = QCD0(c,h) ;
 QD1(c)               = QD0(c) ;
 QE1(c)               = QE0(c) ;
 QED1(c,e)            = QED0(c,e) ;
 QEDADJ1              = QEDADJ0 ;
 QGD1(c)              = QGD0(c) ;
 QGDADJ1              = QGDADJ0 ;
 QINT1(a)             = QINT0(a) ;
 QINTD1(c)            = QINTD0(c) ;
 QINVD1(c)            = QINVD0(c) ;
 QM1(c)               = QM0(c) ;
 QQ1(c)               = QQ0(c) ;
 QVA1(a)              = QVA0(a) ;
 QX1(a)               = QX0(a) ;
 QXAC1(a,c)           = QXAC0(a,c) ;
 QXC1(c)              = QXC0(c) ;
 SADJ1                = SADJ0 ;
 SEADJ1               = SEADJ0 ;
 SEN1(e)              = SEN0(e) ;
 SHADJ1               = SHADJ0 ;
 SHH1(h)              = SHH0(h) ;
 STAX1                = STAX0 ;
 TE1(c)               = TE0(c) ;
 TEADJ1               = TEADJ0 ;
 TEX1(c)              = TEX0(c) ;
 TEXADJ1              = TEXADJ0 ;
 TF1(f,a)             = TF0(f,a) ;
 TFADJ1               = TFADJ0 ;
 TM1(c)               = TM0(c) ;
 TMADJ1               = TMADJ0 ;
 TOTSAV1              = TOTSAV0 ;
 TS1(c)               = TS0(c) ;
 TSADJ1               = TSADJ0 ;
 TX1(a)               = TX0(a) ;
 TXADJ1               = TXADJ0 ;
 TYADJ1               = TYADJ0 ;
 TYE1(e)              = TYE0(e) ;
 TYEADJ1              = TYEADJ0 ;
 TYF1(f)              = TYF0(f) ;
 TYFADJ1              = TYFADJ0 ;
 TYH1(h)              = TYH0(h) ;
 TYHADJ1              = TYHADJ0 ;
 VED1(e)              = VED0(e) ;
 VEDSH1(e)            = VEDSH0(e) ;
 VFDOMD1              = VFDOMD0 ;
 VGD1                 = VGD0 ;
 VGDSH1               = VGDSH0 ;
 WALRAS1              = WALRAS0 ;
 WF1(f)               = WF0(f) ;
 WFDIST1(f,a)         = WFDIST0(f,a) ;
 YE1(e)               = YE0(e) ;
 YF1(f)               = YF0(f) ;
 YFDISP1(f)           = YFDISP0(f) ;
 YFWOR1(f)            = YFWOR0(f) ;
 YG1                  = YG0 ;
 YH1(h)               = YH0(h) ;

  ) ;


IF(flow_cont("resbase") = 2,

 ADFD1(f,a)           = resADFD(f,a,"clbase","base") ;
 ADVA1(a)             = resADVA(a,"clbase","base") ;
 ADVAADJ1             = resADJ("aADVAADJ","clbase","base") ;
 ADX1(a)              = resADX(a,"clbase","base") ;
 ADXADJ1              = resADJ("aADXADJ","clbase","base") ;
 CAPWOR1              = resSCAL("sCAPWOR","clbase","base") ;
 CPI1                 = resSCAL("sCPI","clbase","base") ;
 DADVA1               = resADJ("aDADVA","clbase","base") ;
 DADX1                = resADJ("aDADX","clbase","base") ;
 DS1                  = resADJ("aDS","clbase","base") ;
 DSEN1                = resADJ("aDSEN","clbase","base") ;
 DSHH1                = resADJ("aDSHH","clbase","base") ;
 DTAX1                = resSCAL("sDTAX","clbase","base") ;
 DTE1                 = resADJ("aDTE","clbase","base") ;
 DTEX1                = resADJ("aDTEX","clbase","base") ;
 DTF1                 = resADJ("aDTF","clbase","base") ;
 DTM1                 = resADJ("aDTM","clbase","base") ;
 DTS1                 = resADJ("aDTS","clbase","base") ;
 DTX1                 = resADJ("aDTX","clbase","base") ;
 DTY1                 = resADJ("aDTY","clbase","base") ;
 DTYE1                = resADJ("aDTYE","clbase","base") ;
 DTYF1                = resADJ("aDTYF","clbase","base") ;
 DTYH1                = resADJ("aDTYH","clbase","base") ;
 EG1                  = resSCAL("sEG","clbase","base") ;
 EGADJ1               = resADJ("aEGADJ","clbase","base") ;
 ER1                  = resSCAL("sER","clbase","base") ;
 ETAX1                = resSCAL("sETAX","clbase","base") ;
 EXTAX1               = resSCAL("sEXTAX","clbase","base") ;
 FD1(f,a)             = resFD(f,a,"clbase","base") ;
 FS1(f)               = resFS(f,"clbase","base") ;
 FTAX1                = resSCAL("sFTAX","clbase","base") ;
 FYTAX1               = resSCAL("sFYTAX","clbase","base") ;
 GDPVA1               = resSCAL("sGDPVA","clbase","base") ;
 GOVENT1(e)           = resGOVENT(e,"clbase","base") ;
 HEADJ1               = resADJ("aHEADJ","clbase","base") ;
 HEXP1(h)             = resHEXP(h,"clbase","base") ;
 HGADJ1               = resADJ("aHGADJ","clbase","base") ;
 HOENT1(h,e)          = resHOENT(h,e,"clbase","base") ;
 HOHO1(h,hp)          = resHOHO(h,hp,"clbase","base") ;
 IADJ1                = resADJ("aIADJ","clbase","base") ;
 INVEST1              = resSCAL("sINVEST","clbase","base") ;
 INVESTSH1            = resSCAL("sINVESTSH","clbase","base") ;
 ITAX1                = resSCAL("sITAX","clbase","base") ;
 KAPGOV1              = resSCAL("sKAPGOV","clbase","base") ;
 MTAX1                = resSCAL("sMTAX","clbase","base") ;
 PD1(c)               = resPD(c,"clbase","base") ;
 PE1(c)               = resPE(c,"clbase","base") ;
 PINT1(a)             = resPINT(a,"clbase","base") ;
 PM1(c)               = resPM(c,"clbase","base") ;
 PPI1                 = resSCAL("sPPI","clbase","base") ;
 PQD1(c)              = resPQD(c,"clbase","base") ;
 PQS1(c)              = resPQS(c,"clbase","base") ;
 PVA1(a)              = resPVA(a,"clbase","base") ;
 PWE1(c)              = resPWE(c,"clbase","base") ;
 PWM1(c)              = resPWM(c,"clbase","base") ;
 PX1(a)               = resPX(a,"clbase","base") ;
 PXAC1(a,c)           = resPXAC(a,c,"clbase","base") ;
 PXC1(c)              = resPXC(c,"clbase","base") ;
 QCD1(c,h)            = resQCD(c,h,"clbase","base") ;
 QD1(c)               = resQD(c,"clbase","base") ;
 QE1(c)               = resQE(c,"clbase","base") ;
 QED1(c,e)            = resQED(c,e,"clbase","base") ;
 QEDADJ1              = resADJ("aQEDADJ","clbase","base") ;
 QGD1(c)              = resQGD(c,"clbase","base") ;
 QGDADJ1              = resADJ("aQGDADJ","clbase","base") ;
 QINT1(a)             = resQINT(a,"clbase","base") ;
 QINTD1(c)            = resQINTD(c,"clbase","base") ;
 QINVD1(c)            = resQINVD(c,"clbase","base") ;
 QM1(c)               = resQM(c,"clbase","base") ;
 QQ1(c)               = resQQ(c,"clbase","base") ;
 QVA1(a)              = resQVA(a,"clbase","base") ;
 QX1(a)               = resQX(a,"clbase","base") ;
 QXAC1(a,c)           = resQXAC(a,c,"clbase","base") ;
 QXC1(c)              = resQXC(c,"clbase","base") ;
 SADJ1                = resADJ("aSADJ","clbase","base") ;
 SEADJ1               = resADJ("aSEADJ","clbase","base") ;
 SEN1(e)              = resSEN(e,"clbase","base") ;
 SHADJ1               = resADJ("aSHADJ","clbase","base") ;
 SHH1(h)              = resSHH(h,"clbase","base") ;
 STAX1                = resSCAL("sSTAX","clbase","base") ;
 TE1(c)               = resTE(c,"clbase","base") ;
 TEADJ1               = resADJ("aTEADJ","clbase","base") ;
 TEX1(c)              = resTEX(c,"clbase","base") ;
 TEXADJ1              = resADJ("aTEXADJ","clbase","base") ;
 TF1(f,a)             = resTF(f,a,"clbase","base") ;
 TFADJ1               = resADJ("aTFADJ","clbase","base") ;
 TM1(c)               = resTM(c,"clbase","base") ;
 TMADJ1               = resADJ("aTMADJ","clbase","base") ;
 TOTSAV1              = resSCAL("sTOTSAV","clbase","base") ;
 TS1(c)               = resTS(c,"clbase","base") ;
 TSADJ1               = resADJ("aTSADJ","clbase","base") ;
 TX1(a)               = resTX(a,"clbase","base") ;
 TXADJ1               = resADJ("aTXADJ","clbase","base") ;
 TYADJ1               = resADJ("aTYADJ","clbase","base") ;
 TYE1(e)              = resTYE(e,"clbase","base") ;
 TYEADJ1              = resADJ("aTYEADJ","clbase","base") ;
 TYF1(f)              = resTYF(f,"clbase","base") ;
 TYFADJ1              = resADJ("aTYFADJ","clbase","base") ;
 TYH1(h)              = resTYH(h,"clbase","base") ;
 TYHADJ1              = resADJ("aTYHADJ","clbase","base") ;
 VED1(e)              = resVED(e,"clbase","base") ;
 VEDSH1(e)            = resVEDSH(e,"clbase","base") ;
 VFDOMD1              = resSCAL("sVFDOMD","clbase","base") ;
 VGD1                 = resSCAL("sVGD","clbase","base") ;
 VGDSH1               = resSCAL("sVGDSH","clbase","base") ;
 WALRAS1              = resSCAL("sWALRAS","clbase","base") ;
 WF1(f)               = resWF(f,"clbase","base") ;
 WFDIST1(f,a)         = resWFDIST(f,a,"clbase","base") ;
 YE1(e)               = resYE(e,"clbase","base") ;
 YF1(f)               = resYF(f,"clbase","base") ;
 YFDISP1(f)           = resYFDISP(f,"clbase","base") ;
 YFWOR1(f)            = resYFWOR(f,"clbase","base") ;
 YG1                  = resSCAL("sYG","clbase","base") ;
 YH1(h)               = resYH(h,"clbase","base") ;

  ) ;

*---- Export of basis for comparative results to GDX

Execute_Unload  'stg1_resbase.gdx',
 ADFD1
 ADVA1
 ADVAADJ1
 ADX1
 ADXADJ1
 CAPWOR1
 CPI1
 DADVA1
 DADX1
 DS1
 DSEN1
 DSHH1
 DTAX1
 DTE1
 DTEX1
 DTF1
 DTM1
 DTS1
 DTX1
 DTY1
 DTYE1
 DTYF1
 DTYH1
 EG1
 EGADJ1
 ER1
 ETAX1
 EXTAX1
 FD1
 FS1
 FTAX1
 FYTAX1
 GDPVA1
 GOVENT1
 HEADJ1
 HEXP1
 HGADJ1
 HOENT1
 HOHO1
 IADJ1
 INVEST1
 INVESTSH1
 ITAX1
 KAPGOV1
 MTAX1
 PD1
 PE1
 PINT1
 PM1
 PPI1
 PQD1
 PQS1
 PVA1
 PWE1
 PWM1
 PX1
 PXAC1
 PXC1
 QCD1
 QD1
 QE1
 QED1
 QEDADJ1
 QGD1
 QGDADJ1
 QINT1
 QINTD1
 QINVD1
 QM1
 QQ1
 QVA1
 QX1
 QXAC1
 QXC1
 SADJ1
 SEADJ1
 SEN1
 SHADJ1
 SHH1
 STAX1
 TE1
 TEADJ1
 TEX1
 TEXADJ1
 TF1
 TFADJ1
 TM1
 TMADJ1
 TOTSAV1
 TS1
 TSADJ1
 TX1
 TXADJ1
 TYADJ1
 TYE1
 TYEADJ1
 TYF1
 TYFADJ1
 TYH1
 TYHADJ1
 VED1
 VEDSH1
 VFDOMD1
 VGD1
 VGDSH1
 WALRAS1
 WF1
 WFDIST1
 YE1
 YF1
 YFDISP1
 YFWOR1
 YG1
 YH1

    ;

* --------------- end of stg1 resbase file -------------------------------
