* ----------------- smod Macroeconomic Tables ----------------------------
$ontext
The layout of this files is

   * ------- 1. Assign Macroeconomic Totals
             *---- 1a. Nominal Macroeconomic Totals
             *---- 1b. Real Macroeconomic Totals
   * ------- 2. Assign Macroeconomic Shares
             *---- 2a. Nominal Macroeconomic Shares in GDPEXP
             *---- 2b. Nominal Macroeconomic Shares in ABSORP
   * ------- 3. Assign Percentage Changes in Macroeconomic Totals
             *---- 3a. Percentage Change in Real Macroeconomic Totals
             *---- 3b. Percentage Change in Nominal Macroeconomic Totals
   * ------- 4. Exporting Macroeconomic Tables to GDX
$offtext
* ------- Exporting Macroeconomic Tables to GDX -----------------------------

* ------- 1. Assign Macroeconomic Totals ---------------------------------

*---- 1a. Nominal Macroeconomic Totals

* Value of household consumption
 nMACROTOT("stQCDTOT",clos,sim1)
            = SUM((c,h),resPQD(c,clos,sim1) * resQCD(c,h,clos,sim1)) ;

* Value of enterprise consumption
 nMACROTOT("stQEDTOT",clos,sim1)
            = SUM((c,e),resPQD(c,clos,sim1) * resQED(c,e,clos,sim1)) ;

* Value of government consumption
 nMACROTOT("stQGDTOT",clos,sim1)
            = SUM(c,resPQD(c,clos,sim1) * resQGD(c,clos,sim1)) ;

* Value of investment consumption
 nMACROTOT("stQINVTOT",clos,sim1)
            = SUM(c,resPQD(c,clos,sim1) * resQINVD(c,clos,sim1)) ;

* Value of Domestic final demand
 nMACROTOT("stQABSORP",clos,sim1)
            = SUM((c,h),resPQD(c,clos,sim1) * resQCD(c,h,clos,sim1))
              + SUM((c,e),resPQD(c,clos,sim1) * resQED(c,e,clos,sim1))
              + SUM(c,resPQD(c,clos,sim1) * resQGD(c,clos,sim1))
              + SUM(c,resPQD(c,clos,sim1) * resQINVD(c,clos,sim1)) ;

* Value of import demand
 nMACROTOT("stIMPORT",clos,sim1)
            = SUM(c,resPM(c,clos,sim1) * resQM(c,clos,sim1)) ;

* Value of export supply
 nMACROTOT("stEXPORT",clos,sim1)
            = SUM(c,resPE(c,clos,sim1) * resQE(c,clos,sim1)) ;

* GDP from Income side - total value added plus indirect taxes on prodn
 nMACROTOT("stGDPVA",clos,sim1)
            = SUM((f,a),resWF(f,clos,sim1) * resWFDIST(f,a,clos,sim1)
                      * resFD(f,a,clos,sim1))
                      + resSCAL("sMTAX",clos,sim1)
                      + resSCAL("sETAX",clos,sim1)
                      + resSCAL("sSTAX",clos,sim1)
                      + resSCAL("sEXTAX",clos,sim1)
                      + resSCAL("sITAX",clos,sim1)
                      + resSCAL("sFTAX",clos,sim1) ;

* GDP from Expenditure side - C + I + G + E - M
 nMACROTOT("stGDPEXP",clos,sim1)
            = SUM((c,h),resPQD(c,clos,sim1) * resQCD(c,h,clos,sim1))
                + SUM(c,resPQD(c,clos,sim1) * resQGD(c,clos,sim1))
                + SUM(c,resPQD(c,clos,sim1) * resQINVD(c,clos,sim1))
                + SUM(c,resPE(c,clos,sim1) * resQE(c,clos,sim1))
                - SUM(c,resPM(c,clos,sim1) * resQM(c,clos,sim1)) ;

* total domestic production
 nMACROTOT("stSUPPLY",clos,sim1)
            = SUM(c,resPXC(c,clos,sim1)* resQXC(c,clos,sim1)) ;

* total intermediate inputs
 nMACROTOT("stUSE",clos,sim1)
            = SUM(c,resPQD(c,clos,sim1)* resQINTD(c,clos,sim1)) ;

* household income
 nMACROTOT("stYHTOT",clos,sim1)
            = SUM(h,resYH(h,clos,sim1)) ;

* government income
 nMACROTOT("stYGTOT",clos,sim1)      = resSCAL("sYG",clos,sim1) ;

* factor income
 nMACROTOT("stYFTOT",clos,sim1)      = SUM(f,resYF(f,clos,sim1)) ;

* distributed factor income
 nMACROTOT("stYFDISPTOT",clos,sim1)  = SUM(f,resYFDISP(f,clos,sim1)) ;

* Labour income
 nMACROTOT("stYFLABTOT",clos,sim1)   = SUM(l,resYF(l,clos,sim1)) ;

* total savings
 nMACROTOT("stTOTSAV",clos,sim1)     = resSCAL("sTOTSAV",clos,sim1) ;

* household savings
 nMACROTOT("stHOSAV",clos,sim1)
            = SUM(h,resYH(h,clos,sim1) * (1-resTYH(h,clos,sim1))
                 * resSHH(h,clos,sim1)) ;

* government savings
 nMACROTOT("stGOVSAV",clos,sim1)     = resSCAL("sKAPGOV",clos,sim1) ;

* foreign savings
 nMACROTOT("stFSAV",clos,sim1)       = (resSCAL("sCAPWOR",clos,sim1)
                                         *resSCAL("sER",clos,sim1)) ;

* Depreciation
 nMACROTOT("stDEPREC",clos,sim1)     = SUM(f,deprec(f)*resYF(f,clos,sim1)) ;

* Import tariff revenue
 nMACROTOT("stMTAX",clos,sim1)       = resSCAL("sMTAX",clos,sim1) ;

* Export tax revenue
 nMACROTOT("stETAX",clos,sim1)       = resSCAL("sETAX",clos,sim1) ;

* Sales tax revenue
 nMACROTOT("stSTAX",clos,sim1)       = resSCAL("sSTAX",clos,sim1) ;

* Excise tax revenue
 nMACROTOT("stEXTAX",clos,sim1)      = resSCAL("sEXTAX",clos,sim1) ;

* Indirect tax revenue
 nMACROTOT("stITAX",clos,sim1)       = resSCAL("sITAX",clos,sim1) ;

* Factor use tax revenue
 nMACROTOT("stFTAX",clos,sim1)       = resSCAL("sFTAX",clos,sim1) ;

* Factor income tax revenue
 nMACROTOT("stFYTAX",clos,sim1)      = resSCAL("sFYTAX",clos,sim1) ;

* Direct income tax revenue
 nMACROTOT("stDTAX",clos,sim1)       = resSCAL("sDTAX",clos,sim1) ;

* Total tax revenue
 nMACROTOT("stTOTTAX",clos,sim1)     = resSCAL("sMTAX",clos,sim1)
                                      + resSCAL("sETAX",clos,sim1)
                                      + resSCAL("sSTAX",clos,sim1)
                                      + resSCAL("sEXTAX",clos,sim1)
                                      + resSCAL("sITAX",clos,sim1)
                                      + resSCAL("sFTAX",clos,sim1)
                                      + resSCAL("sFYTAX",clos,sim1)
                                      + resSCAL("sDTAX",clos,sim1) ;

*---- 1b. Real Macroeconomic Totals

* Value of household consumption
 rMACROTOT("stQCDTOT",clos,sim1)
            = SUM((c,h),PQD1(c) * resQCD(c,h,clos,sim1)) ;

* Value of enterprise consumption
 nMACROTOT("stQEDTOT",clos,sim1)
            = SUM((c,e),PQD1(c) * resQED(c,e,clos,sim1)) ;

* Value of government consumption
 rMACROTOT("stQGDTOT",clos,sim1)
            = SUM(c,PQD1(c) * resQGD(c,clos,sim1)) ;

* Value of investment consumption
 rMACROTOT("stQINVTOT",clos,sim1)
            = SUM(c,PQD1(c) * resQINVD(c,clos,sim1)) ;

* Value of Domestic final demand
 rMACROTOT("stQABSORP",clos,sim1)
            = SUM((c,h),PQD1(c) * resQCD(c,h,clos,sim1))
              + SUM((c,e),PQD1(c) * resQED(c,e,clos,sim1))
              + SUM(c,PQD1(c) * resQGD(c,clos,sim1))
              + SUM(c,PQD1(c) * resQINVD(c,clos,sim1)) ;

* Value of import demand
 rMACROTOT("stIMPORT",clos,sim1)
            = SUM(c,PM1(c) * resQM(c,clos,sim1)) ;

* Value of export supply
 rMACROTOT("stEXPORT",clos,sim1)
            = SUM(c,PE1(c) * resQE(c,clos,sim1)) ;

* GDP from Income side - total value added plus indirect taxes
 rMACROTOT("stGDPVA",clos,sim1)
            = SUM((f,a),WF1(f) * WFDIST1(f,a)
                      * resFD(f,a,clos,sim1))
                      + MTAX1 + ETAX1 + STAX1 + EXTAX1 + ITAX1 + FTAX1 ;

* GDP from Expenditure side - C + I + G + E - M
 rMACROTOT("stGDPEXP",clos,sim1)
            = SUM((c,h),PQD1(c) * resQCD(c,h,clos,sim1))
                + SUM((c,e),PQD1(c) * resQED(c,e,clos,sim1))
                + SUM(c,PQD1(c) * resQGD(c,clos,sim1))
                + SUM(c,PQD1(c) * resQINVD(c,clos,sim1))
                + SUM(c,PE1(c) * resQE(c,clos,sim1))
                - SUM(c,PM1(c) * resQM(c,clos,sim1)) ;

* total domestic production
 rMACROTOT("stSUPPLY",clos,sim1)
            = SUM(c,PXC1(c)* resQXC(c,clos,sim1)) ;

* total intermediate inputs
 rMACROTOT("stUSE",clos,sim1)
            = SUM(c,PQD1(c)* resQINTD(c,clos,sim1)) ;

* ------- 2. Assign Macroeconomic Shares ---------------------------------

*---- 2a. Nominal Macroeconomic Shares in GDPEXP

* Share of household consumption in GDPEXP
 nMACROSH1("stQCDTOT",clos,sim1)$nMACROTOT("stGDPEXP",clos,sim1)
                         = SUM((c,h),resPQD(c,clos,sim1) * resQCD(c,h,clos,sim1))
                                /nMACROTOT("stGDPEXP",clos,sim1) ;

* Share of enterprise consumption in GDPEXP
 nMACROSH1("stQEDTOT",clos,sim1)$nMACROTOT("stGDPEXP",clos,sim1)
            = SUM((c,e),resPQD(c,clos,sim1) * resQED(c,e,clos,sim1))
                                /nMACROTOT("stGDPEXP",clos,sim1) ;

* Share of government consumption in GDPEXP
 nMACROSH1("stQGDTOT",clos,sim1)$nMACROTOT("stGDPEXP",clos,sim1)
            = SUM(c,resPQD(c,clos,sim1) * resQGD(c,clos,sim1))
                                /nMACROTOT("stGDPEXP",clos,sim1) ;

* Share of investment consumption in GDPEXP
 nMACROSH1("stQINVTOT",clos,sim1)$nMACROTOT("stGDPEXP",clos,sim1)
            = SUM(c,resPQD(c,clos,sim1) * resQINVD(c,clos,sim1))
                                /nMACROTOT("stGDPEXP",clos,sim1) ;

* Ratio of import demand to GDPEXP
 nMACROSH1("stIMPORT",clos,sim1)$nMACROTOT("stGDPEXP",clos,sim1)
            = SUM(c,resPM(c,clos,sim1) * resQM(c,clos,sim1))
                                /nMACROTOT("stGDPEXP",clos,sim1) ;

* Ratio of export supply to GDPEXP
 nMACROSH1("stEXPORT",clos,sim1)$nMACROTOT("stGDPEXP",clos,sim1)
            = SUM(c,resPE(c,clos,sim1) * resQE(c,clos,sim1))
                                /nMACROTOT("stGDPEXP",clos,sim1) ;

*---- 2b. Nominal Macroeconomic Shares in ABSORP

* Share of household consumption in ABSORP
 nMACROSH2("stQCDTOT",clos,sim1)$nMACROTOT("stQABSORP",clos,sim1)
            = SUM((c,h),resPQD(c,clos,sim1) * resQCD(c,h,clos,sim1))
                                /nMACROTOT("stQABSORP",clos,sim1) ;

* Share of enterprise consumption in ABSORP
 nMACROSH2("stQEDTOT",clos,sim1)$nMACROTOT("stQABSORP",clos,sim1)
            = SUM((c,e),resPQD(c,clos,sim1) * resQED(c,e,clos,sim1))
                                /nMACROTOT("stQABSORP",clos,sim1) ;

* Share of government consumption in ABSORP
 nMACROSH2("stQGDTOT",clos,sim1)$nMACROTOT("stQABSORP",clos,sim1)
            = SUM(c,resPQD(c,clos,sim1) * resQGD(c,clos,sim1))
                                /nMACROTOT("stQABSORP",clos,sim1) ;

* Share of investment consumption in ABSORP
 nMACROSH2("stQINVTOT",clos,sim1)$nMACROTOT("stQABSORP",clos,sim1)
            = SUM(c,resPQD(c,clos,sim1) * resQINVD(c,clos,sim1))
                                /nMACROTOT("stQABSORP",clos,sim1) ;

* Ration of import demand consumption to ABSORP
 nMACROSH2("stIMPORT",clos,sim1)$nMACROTOT("stQABSORP",clos,sim1)
            = SUM(c,resPM(c,clos,sim1) * resQM(c,clos,sim1))
                                /nMACROTOT("stQABSORP",clos,sim1) ;

* Ratio of export supply to ABSORP
 nMACROSH2("stEXPORT",clos,sim1)$nMACROTOT("stQABSORP",clos,sim1)
            = SUM(c,resPE(c,clos,sim1) * resQE(c,clos,sim1))
                                /nMACROTOT("stQABSORP",clos,sim1) ;

* ------- 3. Assign Percentage Changes in Macroeconomic Totals -----------

*---- 3a. Percentage Change in Real Macroeconomic Totals

* Real value of household consumption
 rperMACROTOT("stQCDTOT",clos,sim1)$SUM((c,h),PQD1(c) * QCD1(c,h))
            = (SUM((c,h),PQD1(c) * resQCD(c,h,clos,sim1))
                  /SUM((c,h),PQD1(c) * QCD1(c,h)) - 1) * 100 ;

* Real value of enterprise consumption
 rperMACROTOT("stQEDTOT",clos,sim1)$SUM((c,e),PQD1(c) * QED1(c,e))
            = (SUM((c,e),PQD1(c) * resQED(c,e,clos,sim1))
                  /SUM((c,e),PQD1(c) * QED1(c,e)) - 1) * 100 ;

* Real value of government consumption
 rperMACROTOT("stQGDTOT",clos,sim1)$SUM(c,PQD1(c) * QGD1(c))
            = (SUM(c,PQD1(c) * resQGD(c,clos,sim1))
                  /SUM(c,PQD1(c) * QGD1(c)) - 1) * 100 ;

* Real value of investment consumption
 rperMACROTOT("stQINVTOT",clos,sim1)$SUM(c,PQD1(c) * QINVD1(c))
            = (SUM(c,PQD1(c) * resQINVD(c,clos,sim1))
                  /SUM(c,PQD1(c) * QINVD1(c)) - 1) * 100 ;

* Real value of Domestic final demand
 rperMACROTOT("stQABSORP",clos,sim1)$(SUM((c,h),PQD1(c) * QCD1(c,h))
                         + SUM((c,e),PQD1(c) * QED1(c,e))
                         + SUM(c,PQD1(c) * QGD1(c))
                         + SUM(c,PQD1(c) * QINVD1(c)))
                       = ((SUM((c,h),PQD1(c) * resQCD(c,h,clos,sim1))
                         + SUM((c,e),PQD1(c) * resQED(c,e,clos,sim1))
                         + SUM(c,PQD1(c) * resQGD(c,clos,sim1))
                         + SUM(c,PQD1(c) * resQINVD(c,clos,sim1)))
                         / (SUM((c,h),PQD1(c) * QCD1(c,h))
                         + SUM((c,e),PQD1(c) * QED1(c,e))
                         + SUM(c,PQD1(c) * QGD1(c))
                         + SUM(c,PQD1(c) * QINVD1(c))) - 1) * 100 ;

* Real value of import demand
 rperMACROTOT("stIMPORT",clos,sim1)$SUM(c,PM1(c) * QM1(c))
                      = (SUM(c,PM1(c) * resQM(c,clos,sim1))
                         /SUM(c,PM1(c) * QM1(c)) - 1) * 100 ;

* Real value of export supply
 rperMACROTOT("stEXPORT",clos,sim1)$SUM(c,PE1(c) * QE1(c))
                      = (SUM(c,PE1(c) * resQE(c,clos,sim1))
                         /SUM(c,PE1(c) * QE1(c)) - 1) * 100 ;

* Real GDP from Income side - total value added plus indirect taxes on prodn
 rperMACROTOT("stGDPVA",clos,sim1)$(SUM((f,a),WF1(f) * WFDIST1(f,a) * FD1(f,a))
                           + MTAX1 + ETAX1 + STAX1 + EXTAX1 + ITAX1 + FTAX1)
                      = ((SUM((f,a),WF1(f) * WFDIST1(f,a) * resFD(f,a,clos,sim1))
                        + resSCAL("sMTAX",clos,sim1) + resSCAL("sETAX",clos,sim1)
                        + resSCAL("sSTAX",clos,sim1) + resSCAL("sEXTAX",clos,sim1)
                        + resSCAL("sITAX",clos,sim1) + resSCAL("sFTAX",clos,sim1) )
                          /(SUM((f,a),WF1(f) * WFDIST1(f,a) * FD1(f,a))
                           + MTAX1 + ETAX1 + STAX1 + EXTAX1 + ITAX1 + FTAX1) - 1) * 100 ;

* Real GDP from Expenditure side - C + I + G + E - M
 rperMACROTOT("stGDPEXP",clos,sim1)$(SUM((c,h),PQD1(c) * QCD1(c,h))
                           + SUM((c,e),PQD1(c) * QED1(c,e))
                           + SUM(c,PQD1(c) * QGD1(c))
                           + SUM(c,PQD1(c) * QINVD1(c))
                           + SUM(c,PE1(c) * QE1(c))
                           - SUM(c,PM1(c) * QM1(c)))
                      = ((SUM((c,h),PQD1(c) * resQCD(c,h,clos,sim1))
                        + SUM((c,e),PQD1(c) * resQED(c,e,clos,sim1))
                        + SUM(c,PQD1(c) * resQGD(c,clos,sim1))
                        + SUM(c,PQD1(c) * resQINVD(c,clos,sim1))
                        + SUM(c,PE1(c) * resQE(c,clos,sim1))
                        - SUM(c,PM1(c) * resQM(c,clos,sim1)))
                          /(SUM((c,h),PQD1(c) * QCD1(c,h))
                           + SUM((c,e),PQD1(c) * QED1(c,e))
                           + SUM(c,PQD1(c) * QGD1(c))
                           + SUM(c,PQD1(c) * QINVD1(c))
                           + SUM(c,PE1(c) * QE1(c))
                           - SUM(c,PM1(c) * QM1(c))) - 1) * 100 ;

* total domestic production
 rperMACROTOT("stSUPPLY",clos,sim1)$(SUM(c,PXC1(c)* QXC1(c)))
            = ((SUM(c,PXC1(c)* resQXC(c,clos,sim1)))
                /(SUM(c,PXC1(c)* QXC1(c))) - 1) * 100 ;

* total intermediate inputs
 rperMACROTOT("stUSE",clos,sim1)$(SUM(c,PQD1(c)* QINTD1(c)))
            = ((SUM(c,PQD1(c)* resQINTD(c,clos,sim1)))
                /(SUM(c,PQD1(c)* QINTD1(c))) - 1) * 100 ;

*---- 3b. Percentage Change in Nominal Macroeconomic Totals

* Value of household consumption
 nperMACROTOT("stQCDTOT",clos,sim1)$SUM((c,h),PQD1(c) * QCD1(c,h))
            = (SUM((c,h),resPQD(c,clos,sim1) * resQCD(c,h,clos,sim1))
               /SUM((c,h),PQD1(c) * QCD1(c,h)) - 1) * 100 ;

* Value of enterprise consumption
 nperMACROTOT("stQEDTOT",clos,sim1)$SUM((c,e),PQD1(c) * QED1(c,e))
            = (SUM((c,e),resPQD(c,clos,sim1) * resQED(c,e,clos,sim1))
               /SUM((c,e),PQD1(c) * QED1(c,e)) - 1) * 100 ;

* Value of government consumption
 nperMACROTOT("stQGDTOT",clos,sim1)$SUM(c,PQD1(c) * QGD1(c))
            = (SUM(c,resPQD(c,clos,sim1) * resQGD(c,clos,sim1))
               /SUM(c,PQD1(c) * QGD1(c)) - 1) * 100 ;

* Value of investment consumption
 nperMACROTOT("stQINVTOT",clos,sim1)$SUM(c,PQD1(c) * QINVD1(c))
            = (SUM(c,resPQD(c,clos,sim1) * resQINVD(c,clos,sim1))
               /SUM(c,PQD1(c) * QINVD1(c)) - 1) * 100 ;

* Value of Domestic final demand
 nperMACROTOT("stQABSORP",clos,sim1)$(SUM((c,h),PQD1(c) * QCD1(c,h))
                                       + SUM((c,e),PQD1(c) * QED1(c,e))
                                       + SUM(c,PQD1(c) * QGD1(c))
                                       + SUM(c,PQD1(c) * QINVD1(c)))
            = ((SUM((c,h),resPQD(c,clos,sim1) * resQCD(c,h,clos,sim1))
              + SUM((c,e),resPQD(c,clos,sim1) * resQED(c,e,clos,sim1))
              + SUM(c,resPQD(c,clos,sim1) * resQGD(c,clos,sim1))
              + SUM(c,resPQD(c,clos,sim1) * resQINVD(c,clos,sim1)))
                / (SUM((c,h),PQD1(c) * QCD1(c,h))
                   + SUM((c,e),PQD1(c) * QED1(c,e))
                   + SUM(c,PQD1(c) * QGD1(c))
                   + SUM(c,PQD1(c) * QINVD1(c))) - 1) * 100 ;

* Value of import demand
 nperMACROTOT("stIMPORT",clos,sim1)$SUM(c,PM1(c) * QM1(c))
            = (SUM(c,resPM(c,clos,sim1) * resQM(c,clos,sim1))
               /SUM(c,PM1(c) * QM1(c)) - 1) * 100 ;

* Value of export supply
 nperMACROTOT("stEXPORT",clos,sim1)$SUM(c,PE1(c) * QE1(c))
            = (SUM(c,resPE(c,clos,sim1) * resQE(c,clos,sim1))
               /SUM(c,PE1(c) * QE1(c)) - 1) * 100 ;

* GDP from Income side - total value added plus indirect taxes on prodn
 nperMACROTOT("stGDPVA",clos,sim1)$(SUM((f,a),WF1(f) * WFDIST1(f,a) * FD1(f,a))
                            + MTAX1 + ETAX1 + STAX1 + EXTAX1 + ITAX1 + FTAX1)
            = ((SUM((f,a),resWF(f,clos,sim1) * resWFDIST(f,a,clos,sim1)
                      * resFD(f,a,clos,sim1))
                      + resSCAL("sMTAX",clos,sim1) + resSCAL("sETAX",clos,sim1)
                      + resSCAL("sSTAX",clos,sim1) + resSCAL("sEXTAX",clos,sim1)
                      + resSCAL("sITAX",clos,sim1) + resSCAL("sFTAX",clos,sim1))
                        /(SUM((f,a),WF1(f) * WFDIST1(f,a) * FD1(f,a))
                            + MTAX1 + ETAX1 + STAX1 + EXTAX1 + ITAX1 + FTAX1)
                                - 1) * 100 ;

* GDP from Expenditure side - C + I + G + E - M
 nperMACROTOT("stGDPEXP",clos,sim1)$(SUM((c,h),PQD1(c) * QCD1(c,h))
                                       + SUM((c,e),PQD1(c) * QED1(c,e))
                                       + SUM(c,PQD1(c) * QGD1(c))
                                       + SUM(c,PQD1(c) * QINVD1(c))
                                       + SUM(c,PE1(c) * QE1(c))
                                       - SUM(c,PM1(c) * QM1(c)))
            = ((SUM((c,h),resPQD(c,clos,sim1) * resQCD(c,h,clos,sim1))
                + SUM((c,e),resPQD(c,clos,sim1) * resQED(c,e,clos,sim1))
                + SUM(c,resPQD(c,clos,sim1) * resQGD(c,clos,sim1))
                + SUM(c,resPQD(c,clos,sim1) * resQINVD(c,clos,sim1))
                + SUM(c,resPE(c,clos,sim1) * resQE(c,clos,sim1))
                - SUM(c,resPM(c,clos,sim1) * resQM(c,clos,sim1)))
                          /(SUM((c,h),PQD1(c) * QCD1(c,h))
                           + SUM((c,e),PQD1(c) * QED1(c,e))
                           + SUM(c,PQD1(c) * QGD1(c))
                           + SUM(c,PQD1(c) * QINVD1(c))
                           + SUM(c,PE1(c) * QE1(c))
                           - SUM(c,PM1(c) * QM1(c))) - 1) * 100 ;

* total domestic production
 nperMACROTOT("stSUPPLY",clos,sim1)$(SUM(c,PXC1(c)* QXC1(c)))
            = (SUM(c,resPXC(c,clos,sim1)* resQXC(c,clos,sim1))
                /(SUM(c,PXC1(c)* QXC1(c))) - 1) * 100 ;

* total intermediate inputs
 nperMACROTOT("stUSE",clos,sim1)$(SUM(c,PQD1(c)* QINTD1(c)))
            = (SUM(c,resPQD(c,clos,sim1)* resQINTD(c,clos,sim1))
                /(SUM(c,PQD1(c)* QINTD1(c))) - 1) * 100 ;

* household income
 nperMACROTOT("stYHTOT",clos,sim1)$(SUM(h,YH1(h)))
            = (SUM(h,resYH(h,clos,sim1))
               /(SUM(h,YH1(h))) - 1) * 100 ;

* government income
 nperMACROTOT("stYGTOT",clos,sim1)$(YG1)
            = (resSCAL("sYG",clos,sim1)
              /(YG1) - 1) * 100 ;

* factor income
 nperMACROTOT("stYFTOT",clos,sim1)$(SUM(f,YF1(f)))
            = (SUM(f,resYF(f,clos,sim1))
               /(SUM(f,YF1(f))) - 1) * 100 ;

* distributed factor income
 nperMACROTOT("stYFDISPTOT",clos,sim1)$(SUM(f,YFDISP1(f)))
            = (SUM(f,resYFDISP(f,clos,sim1))
               /(SUM(f,YFDISP1(f))) - 1) * 100 ;

* Labour income
 nperMACROTOT("stYFLABTOT",clos,sim1)$(SUM(l,YF1(l)))
            = (SUM(l,resYF(l,clos,sim1))
               /(SUM(l,YF1(l))) - 1) * 100 ;

* total savings
 nperMACROTOT("stTOTSAV",clos,sim1)$(TOTSAV1)
            = (resSCAL("sTOTSAV",clos,sim1)
               /(TOTSAV1) - 1) * 100 ;

* household savings
 nperMACROTOT("stHOSAV",clos,sim1)$(SUM(h,YH1(h) * (1-TYH1(h))
                                    * SHH1(h)))
            = (SUM(h,resYH(h,clos,sim1) * (1-resTYH(h,clos,sim1))
                 * resSHH(h,clos,sim1))
                    /(SUM(h,YH1(h) * (1-TYH1(h))
                      * SHH1(h))) - 1) * 100 ;

* government savings
 nperMACROTOT("stGOVSAV",clos,sim1)$(KAPGOV1)
            = (resSCAL("sKAPGOV",clos,sim1)
               /(KAPGOV1) - 1) * 100 ;

* foreign savings
 nperMACROTOT("stFSAV",clos,sim1)$(CAPWOR1*ER1)
            = ((resSCAL("sCAPWOR",clos,sim1)*resSCAL("sER",clos,sim1))
                /(CAPWOR1*ER1) - 1) * 100 ;

* Depreciation
 nperMACROTOT("stDEPREC",clos,sim1)$(SUM(f,deprec(f)*YF1(f)))
            = (SUM(f,deprec(f)*resYF(f,clos,sim1))
               /(SUM(f,deprec(f)*YF1(f))) - 1) * 100 ;

* Import tariff revenue
 nperMACROTOT("stMTAX",clos,sim1)$MTAX1
            = (resSCAL("sMTAX",clos,sim1)/(MTAX1) - 1) * 100 ;

* Export tax revenue
 nperMACROTOT("stETAX",clos,sim1)$ETAX1
            = (resSCAL("sETAX",clos,sim1)/(ETAX1) - 1) * 100 ;

* Sales tax revenue
 nperMACROTOT("stSTAX",clos,sim1)$STAX1
            = (resSCAL("sSTAX",clos,sim1)/(STAX1) - 1) * 100 ;

* Excise tax revenue
 nperMACROTOT("stEXTAX",clos,sim1)$EXTAX1
            = (resSCAL("sEXTAX",clos,sim1)/(EXTAX1) - 1) * 100 ;

* Indirect tax revenue
 nperMACROTOT("stITAX",clos,sim1)$ITAX1
            = (resSCAL("sITAX",clos,sim1)/(ITAX1) - 1) * 100 ;

* Factor use tax revenue
 nperMACROTOT("stFTAX",clos,sim1)$FTAX1
            = (resSCAL("sFTAX",clos,sim1)/(FTAX1) - 1) * 100 ;

* Factor income tax revenue
 nperMACROTOT("stFYTAX",clos,sim1)$FYTAX1
            = (resSCAL("sFYTAX",clos,sim1)/(FYTAX1) - 1) * 100 ;

* Household income tax revenue
 nperMACROTOT("stDTAX",clos,sim1)$DTAX1
            = (resSCAL("sDTAX",clos,sim1)/(DTAX1) - 1) * 100 ;

$ontext
* Total tax revenue
 nperMACROTOT("stTOTTAX",clos,sim1)$(MTAX1 + ETAX1 + STAX1 + EXTAX1
                                     + ITAX1 + FTAX1 + FYTAX1 + DTAX1)
            = (resSCAL("sMTAX",clos,sim1) + resSCAL("sETAX",clos,sim1)
               + resSCAL("sSTAX",clos,sim1) + resSCAL("sEXTAX",clos,sim1)
               + resSCAL("sITAX",clos,sim1) + resSCAL("sFTAX",clos,sim1)
               + resSCAL("sFYTAX",clos,sim1) + resSCAL("sDTAX",clos,sim1))
                 /(MTAX1 + ETAX1 + STAX1 + EXTAX1
                    + ITAX1 + FTAX1 + FYTAX1 + DTAX1) - 1) * 100 ;
$offtext

* ------- 4. Exporting Macroeconomic Tables to GDX -----------------------

* This writes the results data to GDX

Execute_Unload  'results/stg1_resmacro.gdx',

                          nMACROTOT,
                          nMACROSH1,
                          nMACROSH2,
                          rMACROTOT,
                          rperMACROTOT,
                          nperMACROTOT

   ;

* ----------------- end of Macroeconomic Tables --------------------------
