*-------- smod declare result parameters ---------------------------------
$ontext
 This section declares the result parameter that are used to store model
 results between experiments and sims.
 It is used by the result analysis code found in include files such as
 reslevel.gms, macrocal.gms, welfcal.gms, etc.
$offtext

* The definitions depend on expclos and sim sets.

PARAMETERS

* These parameter are used to report the results from the simulations

* A MicroSAM for each Experiment

 resSAM(sac,sacp,clos,sim1)   Result SAMs
 TOTALSCHECKP         sum of abs value of differences as fraction of SAM total

* Table of scalar results

 resSCAL(scalres,clos,sim1)   table of scalar results

* Table of adjuster results

 resADJ(adjres,clos,sim1)     table of adjuster results

* ------- TRADE BLOCK ----------------------------------------------------
* #### Exports Block

 resPWE(c,clos,sim1)       World price of exports in dollars
 resPE(c,clos,sim1)        Domestic price of exports by activity a
 resPD(c,clos,sim1)        Consumer price for domestic supply of commodity c
 resQE(c,clos,sim1)        Domestic output exported by commodity c
 resQD(c,clos,sim1)        Domestic demand for commodity c

* #### Imports Block

 resPWM(c,clos,sim1)       World price of imports in dollars
 resPM(c,clos,sim1)        Domestic price of competitive imports of commodity c
 resQM(c,clos,sim1)        Imports of commodity c
 resQQ(c,clos,sim1)        Supply of composite commodity c

* ------- COMMODITY PRICE BLOCK ------------------------------------------

 resPQS(c,clos,sim1)       Supply price of composite commodity c
 resPQD(c,clos,sim1)       Purchaser price of composite commodity c

* ------- PRODUCTION BLOCK -----------------------------------------------

 resPX(a,clos,sim1)        Composite price of output by activity a
 resPVA(a,clos,sim1)       Value added price for activity a
 resPINT(a,clos,sim1)      Price of aggregate intermediate input

 resADX(a,clos,sim1)       Shift parameter for CES production functions for QX
 resADFD(f,a,clos,sim1)    Shift parameter for factor and activity specific efficiency
 resQX(a,clos,sim1)        Domestic production by activity a

 resQVA(a,clos,sim1)       Quantity of aggregate value added for level 1 production
 resQINT(a,clos,sim1)      Aggregate quantity of intermediates used by activity a
 resADVA(a,clos,sim1)      Shift parameter for CES production functions for QVA

 resWF(f,clos,sim1)        Price of factor f
 resWFDIST(f,a,clos,sim1)  Sectoral proportion for factor prices
 resFD(f,a,clos,sim1)      Demand for factor f by activity a
 resFS(f,clos,sim1)        Supply of factor f

 resQINTD(c,clos,sim1)     Demand for intermediate inputs by commodity

 resPXC(c,clos,sim1)       Producer price of composite domestic output
 resQXC(c,clos,sim1)       Domestic production by commodity c

 resPXAC(a,c,clos,sim1)    Activity commodity prices
 resQXAC(a,c,clos,sim1)    Domestic commodity output by each activity

* ------- FACTOR BLOCK ---------------------------------------------------

 resYF(f,clos,sim1)        Income to factor f
 resYFDISP(f,clos,sim1)    Factor income for distribution after depreciation

* ------- HOUSEHOLD BLOCK ------------------------------------------------
* ## Household Income

 resYH(h,clos,sim1)        Income to household h

* Household Expenditure

 resHOHO(h,hp,clos,sim1)   Inter household transfer
 resHEXP(h,clos,sim1)      Household consumption expenditure
 resQCD(c,h,clos,sim1)     Household consumption by commodity c

* ------- ENTERPRISE BLOCK -----------------------------------------------
* ## Enterprise Income

 resYE(e,clos,sim1)        Enterprise incomes

* ## Enterprise Expenditure

 resHOENT(h,e,clos,sim1)   Household Income from enterprise e
 resGOVENT(e,clos,sim1)    Government income from enterprise e
 resQED(c,e,clos,sim1)     Enterprise consumption by commodity c
 resVED(e,clos,sim1)       Value of enterprise e consumption expenditure

* ------- GOVERNMENT BLOCK -----------------------------------------------

* #### Government Income Block

 resTE(c,clos,sim1)        Export taxes on exported comm'y c
 resTM(c,clos,sim1)        Tariff rates on imported comm'y c
 resTS(c,clos,sim1)        Sales tax rate
 resTEX(c,clos,sim1)       Excise tax rate
 resTX(a,clos,sim1)        Indirect tax rate
 resTF(f,a,clos,sim1)      Tax rate on factor use
 resTYF(f,clos,sim1)       Direct tax rate on factor income
 resTYH(h,clos,sim1)       Direct tax rate on households
 resTYE(e,clos,sim1)       Direct tax rate on enterprises

* #### Government Expenditure Block

 resQGD(c,clos,sim1)       Government consumption demand by commodity c

* ------- KAPITAL BLOCK --------------------------------------------------

* ## Savings Block

 resSHH(h,clos,sim1)       Household savings rates
 resSEN(e,clos,sim1)       Enterprise savings rates

* ## Investment Block

 resQINVD(c,clos,sim1)     Investment demand by commodity c

* ------- FOREIGN INSTITUTIONS BLOCK -------------------------------------

 resYFWOR(f,clos,sim1)     Foreign factor income

* ------- MARKET CLEARING BLOCK ------------------------------------------
* #### Absorption Closure

 resVEDSH(e,clos,sim1)     Value share of Ent consumption in total final domestic demand

 ;

*-------- end of smod declare result parameters --------------------------