* ----------------- stg1 welfare results ---------------------------------

* Per capita household incomes and consumption expenditures

 resYH_cap(h,clos,sim1)          = YH.L(h)/pop(h) ;

 resHEXP_cap(h,clos,sim1)        = HEXP.L(h)/pop(h) ;

* resYH_cap(h,clos,sim1)$YH_cap1(h)
*                                = (resYH_cap(h,clos,sim1)/YH_cap1(h)-1)*100 ;

* resHEXP_cap(h,clos,sim1)$HEXP_cap1(h)
*                                 = (resHEXP_cap(h,clos,sim1)/HEXP_cap1(h)-1)*100 ;


*--------- SUMMARY WELFARE MEASURES -------------

 resEV(h,clos,sim1) = PROD(c,(PQD1(c)/resPQD(c,clos,sim1))**beta(c,h))
                      *(resHEXP(h,clos,sim1)
                          -SUM(c,qcdconst(c,h)*resPQD(c,clos,sim1)))
                      -(HEXP1(h)-SUM(c,qcdconst(c,h)
                      * PQD1(c))) ;


 resEV_cap(h,clos,sim1)$(pop(h))
                   = resEV(h,clos,sim1)/pop(h) ;

$ontext
IC and EV formulas from Blonigen, Bruce A., Joseph E. Flynn, and
Kenneth A. Reinert (1997) Sector-Focused General Equilibrium Modeling,
in eds. Joseph F. Francois and Kenneth A. Reinert, Applied Methods
for Trade Policy Analysis. Cambridge, MA: Cambridge University Press,
pp. 189-230.
$offtext

 resIC(h,clos,sim1)  = ((resHEXP(h,clos,sim1)
                         - SUM(c,resPQD(c,clos,sim1)*qcdconst(c,h)))
                              /(PROD(c,resPQD(c,clos,sim1)**beta(c,h))))
                                 * (PROD(c,PQD1(c)**beta(c,h)))
                                   + (SUM(c,PQD1(c)*qcdconst(c,h))) ;

 resIC_cap(h,clos,sim1)$(pop(h))
                    =  resIC(h,clos,sim1)/pop(h) ;

 resEV_alt(h,clos,sim1)
                    = resIC(h,clos,sim1) - HEXP1(h) ;

 resEV_alt_cap(h,clos,sim1)$(pop(h))
                    =  resEV_alt(h,clos,sim1)/pop(h) ;

*--------- SLUTSKY WELFARE MEASURES -------------

 resEV_H_slut(h,clos,sim1)
                     = SUM(c,PQD1(c) * resQCD(c,h,clos,sim1))
                         - HEXP1(h) ;

 resEV_R_slut(clos,sim1)
                     = SUM(c,PQD1(c) * (SUM(h,resQCD(c,h,clos,sim1)
                               + resQGD(c,clos,sim1)
                               + resQINVD(c,clos,sim1))))
                         - (SUM(h,HEXP1(h))
                           + SUM(c,PQD1(c) * (QGD1(c) + QINVD1(c)))) ;


Display  resEV, resEV_cap, resIC, resIC_cap, resEV_alt, resEV_alt_cap,
         resEV_H_slut, resEV_R_slut ;


* ------- Exporting Welfare Results to GDX -------------------------------

* This writes the results data to GDX

Execute_Unload  'results/stg1_reswelf.gdx',
                                     resYH_cap
                                     resHEXP_cap
                                     resEV
                                     resEV_cap
                                     resIC
                                     resIC_cap
                                     resEV_alt
                                     resEV_alt_cap

                                     resEV_H_slut
                                     resEV_R_slut

  ;

* ----------------- end of stg1 welfare results --------------------------
